Skip to main content
PATCH
/
ip-lists
/
{ipList}
Update an IP set
curl --request PATCH \
  --url https://console.wenium.com/api/ip-lists/{ipList} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Home IPs"
}
'
{
  "status": true,
  "message": "IP Set updated.",
  "data": {
    "id": 1,
    "name": "Office IPs",
    "user_id": 1,
    "organization_id": 2,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z",
    "items": [
      {
        "id": 1,
        "ip_list_id": 1,
        "ip": "192.168.1.50",
        "created_at": "2026-07-03T00:00:00.000000Z",
        "updated_at": "2026-07-03T00:00:00.000000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ipList
integer
required

Body

application/json
name
string
required
Example:

"Home IPs"

Response

200 - application/json

IP Set updated

status
boolean
Example:

true

message
string
Example:

"IP Set updated."

data
object